I tried downloading firmware 4.64 so I can upgrade my RouteFinder, but I receive an 'Upload Data Error' message.

This is a known Netscape issue. You must use IE 5.5 or above in order to upgrade the firmware using the Web browser.